<?php
include_once('def.php');
include('wrenchboard_class.php');
$wrenchboard = new wrenchboard_class();


    $username = 'D2P4BB6DFB';
   
    $data['username'] = $username;
    $data['pin'] = '1234';
    $data['login_mode']  = LOGIN_MODE_FAMILY;  
    $data['sessionid'] = rand(10000,99999)."A".rand(10000,99999); // dummy for a start
    $data['action'] = WRENCHBOARD_ACCOUNT_LOGIN;

$out = array();
$ret = $wrenchboard->wrenchboard_api($data,$out);


echo "=========================================================.....======================================";
var_dump($out);

if ($out['internal_return'] == 100){
    echo 'Save the session for other use - you will need it';
    $myfile = fopen("../../writable/wrench_family_session.txt", "w") or die("Unable to open file!");
        fwrite($myfile, $out['session']);
        fwrite($myfile, "\n");
        fwrite($myfile, $out['member_id']);
        fwrite($myfile, "\n");
        fwrite($myfile, $out['uid']);
   fclose($myfile);
}

?>